from setuptools import setup, find_packages

requires = dict()
requires["install"] = []
extras = {
    "flares": [
        "tensorflow==2.10.0",
        "tensorflow-probability==0.17.0",
        "numpy==1.23.4",
        "astropy==5.0.4",
        "Sphinx==4.5.0",
        "sphinx-astropy==1.7.0",
        "astropy-sphinx-theme==1.1",
        "pandas==1.4.2",
        "scikit-learn==1.0.2",
        "scipy==1.8.0",
        "sklearn==0.0",
        "tables==3.7.0",
        "umap-learn==0.5.3",
        "pydantic==2.2.1",
    ]
}

setup(
    name="trans_finder",
    version="1.3.0",
    packages=find_packages("src"),
    package_dir={"": "src"},
    include_package_data=True,
    description="transient discovery with deep learning",
    install_requires=requires["install"],
    extras_require=extras,
)
