from trans_finder.flares.core.config_optional_params import OptionalConfigParams
from trans_finder.flares.core.config_required_params import RequiredConfigParams


class ConfigFile(RequiredConfigParams, OptionalConfigParams, extra="forbid"):
    """All configurable parameters of the analysis pipeline.
    Will be parsed from the provided yaml file.
    Extra fields in that yaml file are not allowed (as a precaution to catch errors).
    """

    @classmethod
    def backwards_compatibility(cls, dictionary):
        """updates input spec data to ensure backwards compatibility"""

        # keys are the old and  values are the new name
        rename_mapping = {
            "data_prep_time_bin_width_in_days": "data_prep_n_days_per_step",
        }

        for old_name, new_name in rename_mapping.items():
            if old_name in dictionary:
                dictionary[new_name] = dictionary[old_name]
                del dictionary[old_name]
