from __future__ import annotations

from typing import Literal, get_args

from pydantic import conlist

RunPhase = Literal[
    "prep_train",
    "prep_predict",
    "train_scales",
    "train",
    "debug_keras_model",
    "calib",
    "bgmm_fit",
    "predict",
    "reproduce_data_prep",
    "create_custom_realisations",
    "predict_plots",
    "plot_diagnostics",
]

EventClass = Literal[
    "bck_pure",
    "bck_fluct",
    "train_simple_bck",
    "custom",
    "signal_dec",
    "signal_enc",
    "signal_enc_dec",
    "signal_old_dec",
    "signal_old_enc",
    "signal_old_enc_dec",
    "signal_dec_signal_old_enc",
]

TrainPhase = Literal[0, 1]

CalibStage = Literal["calib_cluster_single", "calib_step_combo"]

ChannelName = str
FeatureName = str

MinMaxStr = Literal["min", "max"]


def to_list(x):
    """returns a list from a Literal type definition"""
    return list(get_args(x))


def sized_list(dtype, size):
    return conlist(dtype, min_length=size, max_length=size)
