from trans_finder.flares.data_prep_helpers.channel_padding import (
    create_channel_padding_infer,
)


def get_background_scenarios(mngr, aggregated_data):
    return [
        bck(
            mngr,
            aggregated_data,
            "bck_no_shuffling",
            seed=13,
            add_background_states=False,
            shuffling_strategy=None,
        ),
        bck(
            mngr,
            aggregated_data,
            "bck_no_plateaus",
            seed=13,
            add_background_states=False,
        ),
        # bck(
        #     mngr,
        #     aggregated_data,
        #     "bck_with_plateau",
        #     seed=13,
        #     add_background_states=True,
        # ),
    ]


def bck(
    mngr,
    aggregated_data,
    id,
    seed,
    add_background_states,
    shuffling_strategy="step_based",
):
    realisation = mngr.data_prep.create_realisation(
        aggregated_data,
        shuffling_strategy=shuffling_strategy,
        do_randomize_temporal_offsets=False,
        do_shift_input_data_in_time=False,
        add_fluctuations=False,
        add_flares=False,
        add_background_states=add_background_states,
        realisation_id=id,
        realisation_seed=seed,
        channel_padding=create_channel_padding_infer(mngr),
    )
    realisation.custom_name = id

    return realisation, {}
