import os

import matplotlib.pyplot as plt
import pandas as pd
import seaborn as sns

from trans_finder.flares.helpers_debugging import get_debug_output_filepath
from trans_finder.flares.utilities.pdf_plot_collection import PDFPlotCollection

original_all = {
    "fermi": [],
    "cta": [],
}

randomized_all = {
    "fermi": [],
    "cta": [],
}


def inspect_temporal_offsets(mngr, input_real_times, randomized_real_times, id):
    for channel_tag in input_real_times:
        original_all[channel_tag].append(input_real_times[channel_tag].diff())
        randomized_all[channel_tag].append(randomized_real_times[channel_tag].diff())

    if id % 10 == 0:
        for channel_tag in input_real_times:
            original = pd.concat(original_all[channel_tag])
            randomized = pd.concat(randomized_all[channel_tag])

            fig, ax = plt.subplots()

            sns.histplot(data={"input": original, "randomized": randomized}, ax=ax)

            out_file_name = get_debug_output_filepath(
                mngr,
                os.path.join("inspect_temporal_offsets", channel_tag),
                f"{id}.pdf",
            )
            PDFPlotCollection(mngr, figs=[fig]).save_to_file(out_file_name)
