from trans_finder.flares.plot_list.scenario_highlights import (
    do_plot_scenario_highlights_results,
)


def get_pure_bck_with_high_ts_scenarios(mngr, aggregated_data):
    def pure_bck(mngr, aggregated_data, seed):
        id = f"pure_bck_reconstructed_{seed}"
        realisation = mngr.data_prep.create_realisation(
            aggregated_data,
            shuffling_strategy="step_based",
            do_randomize_temporal_offsets=True,
            do_shift_input_data_in_time=True,
            add_fluctuations=False,
            add_flares=False,
            add_background_states=True,
            realisation_id=seed,
            realisation_seed=seed,
        )
        realisation.custom_name = id

        return realisation, {}

    if len(mngr.debug_plot_realisation_by_id) == 0:
        return []
    return [
        pure_bck(mngr, aggregated_data, seed)
        for seed in mngr.debug_plot_realisation_by_id["bck_pure"]
    ]


def plot_pure_bck_with_high_ts_lightcurves(mngr, aggregated_data):
    pass


def plot_pure_bck_with_high_ts_relisation_diagnostics(mngr, df_diagnostics):
    tag_ts = mngr.get_calib_tags(calib_stage=mngr.calib_stages[-1], tag="ts")

    max_ts_bck_rows = df_diagnostics.loc[
        df_diagnostics[df_diagnostics[mngr.tag_evt_type] == "bck_pure"][tag_ts]
        .nlargest(3)
        .index
    ]

    # performance_by_time_sliding_window_plotter = PerformanceBySlidingWindowPlotter()

    output_dir = "inspect_pure_bck_with_high_ts"
    print("inspect_pure_bck_with_high_ts - realisation id and time_right_edge: ")
    for realisation_id in max_ts_bck_rows.realisation_id.unique():
        print(
            " -",
            realisation_id,
            "#",
            max_ts_bck_rows[max_ts_bck_rows.realisation_id == realisation_id][
                "realisation_row_index"
            ].tolist(),
        )

    for realisation_id in max_ts_bck_rows.realisation_id.unique():
        realisation_df = df_diagnostics[df_diagnostics.realisation_id == realisation_id]

        # performance_by_time_sliding_window_plotter.do_plot(
        #     mngr, realisation_df, realisation_id, output_dir
        # )

        do_plot_scenario_highlights_results(
            mngr, realisation_df, realisation_id, output_dir
        )
