from trans_finder.flares.core.tags import (
    TAG_SIGNIFICANCE_CLUSTER_SPACE,
    TAG_SIGNIFICANCE_COMBINED,
    TAG_SIGNIFICANCE_RECO_ERROR,
)


def clean_label(mngr, label: str) -> str:
    mapping = {
        TAG_SIGNIFICANCE_COMBINED: mngr.label_significance_combo,
        TAG_SIGNIFICANCE_CLUSTER_SPACE: mngr.label_significance_mm,
        TAG_SIGNIFICANCE_RECO_ERROR: mngr.label_significance_rec,
    }

    to_remove = ["significance_calib_step_", "significance_calib_cluster_single_"]

    label = mapping.get(label, label)

    for part in to_remove:
        label = label.replace(part, "")

    label = mngr.channel_labels.get(label, label)

    return label
