from trans_finder.flares.checks.generic_checks import plot_dim_hists_of_ndarrays
from trans_finder.flares.helpers_debugging import get_debug_output_filepath


def plot_test_statistic_dist_by_error_sample(mngr, output_ts):
    """
    global flag has_plotted_test_statistics_unmasked_data s.t. the plot is only done for the unmasked data,
    and not when we mask by channel group
    """
    if not getattr(mngr, "has_plotted_test_statistics_unmasked_data", False):
        n_error_samples = (
            mngr.model_n_samples_of_input_errors + 1
        )  # original + smeared versions

        plot_dim_hists_of_ndarrays(
            mngr,
            [
                output_ts[i::n_error_samples]
                for i in range(mngr.model_n_samples_of_input_errors + 1)
            ],
            [f"sample_{i}" for i in range(mngr.model_n_samples_of_input_errors + 1)],
            get_debug_output_filepath(mngr, "test_statistic", f"{mngr.run_phase}.pdf"),
            # subplots_kwargs=dict(sharex=True),
            hist_kwargs=dict(log=True),
        )
        mngr.has_plotted_test_statistics_unmasked_data = True
