import numpy as np


def plot_ecdf(ax, data, **kwargs):
    """
    Plots an Empirical Cumulative Distribution Function (ECDF) on a given axis.

    Parameters:
    ax (matplotlib.axes._subplots.AxesSubplot): Axis to plot on.
    data (array-like): Data to plot.
    **kwargs: Additional keyword arguments for matplotlib plot.
    """
    n = len(data)
    x = np.sort(data)
    y = np.arange(1, n + 1) / n
    ax.plot(x, y, **kwargs)
