from matplotlib import pyplot as plt

gridlines_config = {
    "color": "#4f8c9d",
    "alpha": 0.8,
    "linestyle": ":",
    "linewidth": 0.5,
}

tick_params = dict(
    direction="in",
    which="both",
    right=True,
    top=True,
    # pad=10,
    # labelsize="x-large",
    # labelsize="large",
)

# Define hatch patterns currently supported by matplotlib
hatch_patterns_list = [
    "/",
    "\\",
    "|",
    "-",
    "+",
    "x",
    "o",
    "O",
    ".",
    "*",
]

DEFAULT_SCALE = 1.2
SMALL_SIZE = 11
MEDIUM_SIZE = 13
BIGGER_SIZE = 15


# colormaps from https://personal.sron.nl/~pault/
COLORS_QUANTITATIVE_VIBRANT = [
    "#EE7733",
    "#0077BB",
    "#33BBEE",
    "#EE3377",
    "#CC3311",
    "#009988",
    "#BBBBBB",
]
COLORS_QUANTITATIVE_DARK = [
    "#222255",
    "#225555",
    "#225522",
    "#666633",
    "#663333",
    "#555555",
]

COLORS_QUANTITATIVE_BRIGHT = [
    "#4477AA",
    "#EE6677",
    "#228833",
    "#CCBB44",
    "#66CCEE",
    "#AA3377",
    "#BBBBBB",
]

COLORS_HIGH_CONTRAST = ["#004488", "#DDAA33", "#BB5566"]


def set_fontsizes(scale=1.0):
    plt.rc("font", size=SMALL_SIZE * scale)  # controls default text sizes
    plt.rc("axes", titlesize=SMALL_SIZE * scale)  # fontsize of the axes title
    plt.rc("axes", labelsize=MEDIUM_SIZE * scale)  # fontsize of the x and y labels
    plt.rc("xtick", labelsize=SMALL_SIZE * scale)  # fontsize of the tick labels
    plt.rc("ytick", labelsize=SMALL_SIZE * scale)  # fontsize of the tick labels
    plt.rc("legend", fontsize=SMALL_SIZE * scale)  # legend fontsize
    plt.rc("figure", titlesize=BIGGER_SIZE * scale)  # fontsize of the figure title


set_fontsizes(scale=DEFAULT_SCALE)
