from matplotlib import pyplot as plt


def create_text_figure(dict_to_print):
    """create a matplotlib figure to print a dictionary, e.g. for metadata information"""
    fig, ax = plt.subplots()
    fig.patch.set_visible(False)
    plt.axis([0, 10, 0, 10])
    ax.axis("off")
    ax.axis("tight")
    text = "\n".join([f"{k}: {v}" for k, v in dict_to_print.items()])
    plt.text(0, 0, text)
    return fig
