from __future__ import annotations

import os
from pathlib import Path
from typing import TYPE_CHECKING, Dict

import pandas as pd

if TYPE_CHECKING:
    from trans_finder.flares.manager import Manager


class ReproduceDataPrep:
    tag = ["b", f" - flares.{Path(__file__).stem} - "]

    def __init__(self, mngr):
        self.mngr: Manager = mngr

    def run(self):
        mngr = self.mngr
        mngr.log.info([self.tag, ["p", "run()"]])

        data_output_dir = os.path.join(mngr.tag_output_dir, "reproduce_output_shuffled")

        seed = mngr.data_prep_reproduce_seed
        assert seed is not None

        input_data: Dict[str, pd.DataFrame] = mngr.data_prep.flares_load_input_data(
            mngr.dir_input_data_prep_train
        )

        raise NotImplementedError()
